This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 759186 - [abrt] sssd-1.6.3-1.fc16: ping_check: Process /usr/sbin/sssd was killed by signal 11 (SIGSEGV)
[abrt] sssd-1.6.3-1.fc16: ping_check: Process /usr/sbin/sssd was killed by si...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.2
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Stephen Gallagher
IDM QE LIST
abrt_hash:2c86b854d5d91946c8b59b5c1a5...
:
Depends On: 754114
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 11:09 EST by Stephen Gallagher
Modified: 2012-06-20 07:49 EDT (History)
9 users (show)

See Also:
Fixed In Version: sssd-1.8.0-2.el6.beta2
Doc Type: Bug Fix
Doc Text:
Cause: When an SSSD service exited while a check for its presence was still in progress, the SSSD might have accessed invalid memory Consequence: The SSSD crashed Fix: The SSSD was fixed so that it cancels any pending checks when a service exits Result: The SSSD no longer crashes and checks are cancelled gracefully when a service exits.
Story Points: ---
Clone Of: 754114
Environment:
Last Closed: 2012-06-20 07:49:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2011-12-01 11:09:46 EST
+++ This bug was initially created as a clone of Bug #754114 +++

libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        /usr/sbin/sssd -D -f
comment:        This has happened to two seperate machines in the past 24 hours - symptoms include high LA, which makes debugging somewhat difficult. Not been able to spot an obvious trigger, but I'll add more details if it happens again.
crash_function: ping_check
executable:     /usr/sbin/sssd
kernel:         3.1.1-1.fc16.x86_64
reason:         Process /usr/sbin/sssd was killed by signal 11 (SIGSEGV)
time:           Tue Nov 15 12:35:49 2011
uid:            0
username:       root

backtrace:      Text file, 27129 bytes

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321094352
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc16.x86_64 (Fedora Project) 1321094361
:/usr/lib64/ldb/modules/ldb/paged_results.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321094414
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-6.fc16.x86_64 (Fedora Project) 1321098047
:/usr/lib64/liblber-2.4.so.2.7.1 openldap-2.4.26-5.fc16.x86_64 (Fedora Project) 1321097924
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-25.fc16.x86_64 (Fedora Project) 1321094396
:/usr/lib64/libdhash.so.1.0.1 libdhash-0.4.3-5.fc16.x86_64 (Fedora Project) 1321094550
:/lib64/libresolv-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321094352
:/usr/lib64/libtevent.so.0.9.13 libtevent-0.9.13-1.fc16.x86_64 (Fedora Project) 1321094397
:/usr/lib64/ldb/modules/ldb/server_sort.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321094414
:/lib64/libnl.so.1.1 libnl-1.1-14.fc16.x86_64 (Fedora Project) 1321094372
:/usr/lib64/libssl3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1321094524
:/usr/lib64/libini_config.so.2.0.0 libini_config-0.6.2-5.fc16.x86_64 (Fedora Project) 1321094550
:/lib64/libnspr4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1321094360
:/usr/sbin/sssd sssd-1.6.3-1.fc16.x86_64 (Fedora Project) 1321098192
:/lib64/libpthread-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321094352
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321094352
:/usr/lib64/libnss3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1321094524
:/lib64/libplc4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1321094360
:/usr/lib64/libsmime3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1321094524
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321094352
:/usr/lib64/libldap-2.4.so.2.7.1 openldap-2.4.26-5.fc16.x86_64 (Fedora Project) 1321097924
:/lib64/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.x86_64 (Fedora Project) 1321094321
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.x86_64 (Fedora Project) 1321094367
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1321094360
:/lib64/libplds4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1321094360
:/lib64/libdl-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321094352
:/usr/lib64/ldb/modules/ldb/skel.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321094414
:/usr/lib64/ldb/modules/ldb/asq.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321094414
:/usr/lib64/ldb/modules/ldb/tdb.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321094414
:/lib64/libc-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321094352
:/usr/lib64/libcollection.so.2.0.0 libcollection-0.6.1-5.fc16.x86_64 (Fedora Project) 1321094401
:/lib64/librt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321094352
:/lib64/libpopt.so.0.0.0 popt-1.13-9.fc16.x86_64 (Fedora Project) 1321094361
:/usr/lib64/ldb/modules/ldb/memberof.so sssd-1.6.3-1.fc16.x86_64 (Fedora Project) 1321098192
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1321094360
:/lib64/ld-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321094352
:/usr/lib64/libtalloc.so.2.0.6 libtalloc-2.0.6-1.fc16.x86_64 (Fedora Project) 1321094370
:/usr/lib64/ldb/modules/ldb/rdn_name.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321094414
:/usr/lib/locale/locale-archive glibc-common-2.14.90-14.x86_64 (Fedora Project) 1321094350
:/usr/lib64/libref_array.so.1.0.0 libref_array-0.1.2-5.fc16.x86_64 (Fedora Project) 1321094549
:/usr/lib64/libldb.so.1.1.0 libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321094414
:/usr/lib64/ldb/modules/ldb/sample.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321094414
:/usr/lib64/libpath_utils.so.1.0.0 libpath_utils-0.2.1-5.fc16.x86_64 (Fedora Project) 1321094549
:/lib64/libpcre.so.0.0.1 pcre-8.12-4.fc16.x86_64 (Fedora Project) 1321094395
:/usr/lib64/ldb/modules/ldb/paged_searches.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321094414

environ:
:BOOT_IMAGE=/vmlinuz-3.1.1-1.fc16.x86_64
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
:SYSFONT=latarcyrheb-sun16
:LANG=en_US.UTF-8
:PWD=/
:KEYTABLE=uk

maps:
:7f4f0957c000-7f4f09588000 r-xp 00000000 08:03 4325408                    /lib64/libnss_files-2.14.90.so
:7f4f09588000-7f4f09787000 ---p 0000c000 08:03 4325408                    /lib64/libnss_files-2.14.90.so
:7f4f09787000-7f4f09788000 r--p 0000b000 08:03 4325408                    /lib64/libnss_files-2.14.90.so
:7f4f09788000-7f4f09789000 rw-p 0000c000 08:03 4325408                    /lib64/libnss_files-2.14.90.so
:7f4f09789000-7f4f0fbac000 r--p 00000000 08:03 3802105                    /usr/lib/locale/locale-archive
:7f4f0fbac000-7f4f0fbb9000 r-xp 00000000 08:03 4196829                    /usr/lib64/ldb/modules/ldb/tdb.so
:7f4f0fbb9000-7f4f0fdb9000 ---p 0000d000 08:03 4196829                    /usr/lib64/ldb/modules/ldb/tdb.so
:7f4f0fdb9000-7f4f0fdba000 r--p 0000d000 08:03 4196829                    /usr/lib64/ldb/modules/ldb/tdb.so
:7f4f0fdba000-7f4f0fdbb000 rw-p 0000e000 08:03 4196829                    /usr/lib64/ldb/modules/ldb/tdb.so
:7f4f0fdbb000-7f4f0fdbd000 r-xp 00000000 08:03 4196828                    /usr/lib64/ldb/modules/ldb/skel.so
:7f4f0fdbd000-7f4f0ffbc000 ---p 00002000 08:03 4196828                    /usr/lib64/ldb/modules/ldb/skel.so
:7f4f0ffbc000-7f4f0ffbd000 r--p 00001000 08:03 4196828                    /usr/lib64/ldb/modules/ldb/skel.so
:7f4f0ffbd000-7f4f0ffbe000 rw-p 00002000 08:03 4196828                    /usr/lib64/ldb/modules/ldb/skel.so
:7f4f0ffbe000-7f4f0ffc0000 r-xp 00000000 08:03 4196827                    /usr/lib64/ldb/modules/ldb/server_sort.so
:7f4f0ffc0000-7f4f101bf000 ---p 00002000 08:03 4196827                    /usr/lib64/ldb/modules/ldb/server_sort.so
:7f4f101bf000-7f4f101c0000 r--p 00001000 08:03 4196827                    /usr/lib64/ldb/modules/ldb/server_sort.so
:7f4f101c0000-7f4f101c1000 rw-p 00002000 08:03 4196827                    /usr/lib64/ldb/modules/ldb/server_sort.so
:7f4f101c1000-7f4f101c2000 r-xp 00000000 08:03 4196826                    /usr/lib64/ldb/modules/ldb/sample.so
:7f4f101c2000-7f4f103c1000 ---p 00001000 08:03 4196826                    /usr/lib64/ldb/modules/ldb/sample.so
:7f4f103c1000-7f4f103c2000 r--p 00000000 08:03 4196826                    /usr/lib64/ldb/modules/ldb/sample.so
:7f4f103c2000-7f4f103c3000 rw-p 00001000 08:03 4196826                    /usr/lib64/ldb/modules/ldb/sample.so
:7f4f103c3000-7f4f103c6000 r-xp 00000000 08:03 4196825                    /usr/lib64/ldb/modules/ldb/rdn_name.so
:7f4f103c6000-7f4f105c5000 ---p 00003000 08:03 4196825                    /usr/lib64/ldb/modules/ldb/rdn_name.so
:7f4f105c5000-7f4f105c6000 r--p 00002000 08:03 4196825                    /usr/lib64/ldb/modules/ldb/rdn_name.so
:7f4f105c6000-7f4f105c7000 rw-p 00003000 08:03 4196825                    /usr/lib64/ldb/modules/ldb/rdn_name.so
:7f4f105c7000-7f4f105c9000 r-xp 00000000 08:03 4196824                    /usr/lib64/ldb/modules/ldb/paged_searches.so
:7f4f105c9000-7f4f107c8000 ---p 00002000 08:03 4196824                    /usr/lib64/ldb/modules/ldb/paged_searches.so
:7f4f107c8000-7f4f107c9000 r--p 00001000 08:03 4196824                    /usr/lib64/ldb/modules/ldb/paged_searches.so
:7f4f107c9000-7f4f107ca000 rw-p 00002000 08:03 4196824                    /usr/lib64/ldb/modules/ldb/paged_searches.so
:7f4f107ca000-7f4f107cc000 r-xp 00000000 08:03 4196823                    /usr/lib64/ldb/modules/ldb/paged_results.so
:7f4f107cc000-7f4f109cc000 ---p 00002000 08:03 4196823                    /usr/lib64/ldb/modules/ldb/paged_results.so
:7f4f109cc000-7f4f109cd000 r--p 00002000 08:03 4196823                    /usr/lib64/ldb/modules/ldb/paged_results.so
:7f4f109cd000-7f4f109ce000 rw-p 00003000 08:03 4196823                    /usr/lib64/ldb/modules/ldb/paged_results.so
:7f4f109ce000-7f4f109da000 r-xp 00000000 08:03 4206604                    /usr/lib64/ldb/modules/ldb/memberof.so
:7f4f109da000-7f4f10bd9000 ---p 0000c000 08:03 4206604                    /usr/lib64/ldb/modules/ldb/memberof.so
:7f4f10bd9000-7f4f10bda000 r--p 0000b000 08:03 4206604                    /usr/lib64/ldb/modules/ldb/memberof.so
:7f4f10bda000-7f4f10bdb000 rw-p 0000c000 08:03 4206604                    /usr/lib64/ldb/modules/ldb/memberof.so
:7f4f10bdb000-7f4f10bdd000 r-xp 00000000 08:03 4196822                    /usr/lib64/ldb/modules/ldb/asq.so
:7f4f10bdd000-7f4f10ddc000 ---p 00002000 08:03 4196822                    /usr/lib64/ldb/modules/ldb/asq.so
:7f4f10ddc000-7f4f10ddd000 r--p 00001000 08:03 4196822                    /usr/lib64/ldb/modules/ldb/asq.so
:7f4f10ddd000-7f4f10dde000 rw-p 00002000 08:03 4196822                    /usr/lib64/ldb/modules/ldb/asq.so
:7f4f10dde000-7f4f10e3b000 r-xp 00000000 08:03 4336507                    /lib64/libfreebl3.so
:7f4f10e3b000-7f4f1103a000 ---p 0005d000 08:03 4336507                    /lib64/libfreebl3.so
:7f4f1103a000-7f4f1103c000 rw-p 0005c000 08:03 4336507                    /lib64/libfreebl3.so
:7f4f1103c000-7f4f11040000 rw-p 00000000 00:00 0 
:7f4f11040000-7f4f11056000 r-xp 00000000 08:03 4336488                    /lib64/libz.so.1.2.5
:7f4f11056000-7f4f11256000 ---p 00016000 08:03 4336488                    /lib64/libz.so.1.2.5
:7f4f11256000-7f4f11257000 rw-p 00016000 08:03 4336488                    /lib64/libz.so.1.2.5
:7f4f11257000-7f4f11270000 r-xp 00000000 08:03 3814416                    /usr/lib64/libsasl2.so.2.0.23
:7f4f11270000-7f4f11470000 ---p 00019000 08:03 3814416                    /usr/lib64/libsasl2.so.2.0.23
:7f4f11470000-7f4f11471000 rw-p 00019000 08:03 3814416                    /usr/lib64/libsasl2.so.2.0.23
:7f4f11471000-7f4f11489000 r-xp 00000000 08:03 4336490                    /lib64/libresolv-2.14.90.so
:7f4f11489000-7f4f11689000 ---p 00018000 08:03 4336490                    /lib64/libresolv-2.14.90.so
:7f4f11689000-7f4f1168a000 r--p 00018000 08:03 4336490                    /lib64/libresolv-2.14.90.so
:7f4f1168a000-7f4f1168b000 rw-p 00019000 08:03 4336490                    /lib64/libresolv-2.14.90.so
:7f4f1168b000-7f4f1168d000 rw-p 00000000 00:00 0 
:7f4f1168d000-7f4f1168f000 r-xp 00000000 08:03 3806883                    /usr/lib64/libref_array.so.1.0.0
:7f4f1168f000-7f4f1188e000 ---p 00002000 08:03 3806883                    /usr/lib64/libref_array.so.1.0.0
:7f4f1188e000-7f4f1188f000 r--p 00001000 08:03 3806883                    /usr/lib64/libref_array.so.1.0.0
:7f4f1188f000-7f4f11890000 rw-p 00002000 08:03 3806883                    /usr/lib64/libref_array.so.1.0.0
:7f4f11890000-7f4f11893000 r-xp 00000000 08:03 3806881                    /usr/lib64/libpath_utils.so.1.0.0
:7f4f11893000-7f4f11a92000 ---p 00003000 08:03 3806881                    /usr/lib64/libpath_utils.so.1.0.0
:7f4f11a92000-7f4f11a93000 r--p 00002000 08:03 3806881                    /usr/lib64/libpath_utils.so.1.0.0
:7f4f11a93000-7f4f11a94000 rw-p 00003000 08:03 3806881                    /usr/lib64/libpath_utils.so.1.0.0
:7f4f11a94000-7f4f11a9c000 r-xp 00000000 08:03 4336508                    /lib64/libcrypt-2.14.90.so
:7f4f11a9c000-7f4f11c9b000 ---p 00008000 08:03 4336508                    /lib64/libcrypt-2.14.90.so
:7f4f11c9b000-7f4f11c9c000 r--p 00007000 08:03 4336508                    /lib64/libcrypt-2.14.90.so
:7f4f11c9c000-7f4f11c9d000 rw-p 00008000 08:03 4336508                    /lib64/libcrypt-2.14.90.so
:7f4f11c9d000-7f4f11ccb000 rw-p 00000000 00:00 0 
:7f4f11ccb000-7f4f11ce0000 r-xp 00000000 08:03 4336495                    /lib64/libgcc_s-4.6.2-20111027.so.1
:7f4f11ce0000-7f4f11edf000 ---p 00015000 08:03 4336495                    /lib64/libgcc_s-4.6.2-20111027.so.1
:7f4f11edf000-7f4f11ee0000 rw-p 00014000 08:03 4336495                    /lib64/libgcc_s-4.6.2-20111027.so.1
:7f4f11ee0000-7f4f11f63000 r-xp 00000000 08:03 4336494                    /lib64/libm-2.14.90.so
:7f4f11f63000-7f4f12162000 ---p 00083000 08:03 4336494                    /lib64/libm-2.14.90.so
:7f4f12162000-7f4f12163000 r--p 00082000 08:03 4336494                    /lib64/libm-2.14.90.so
:7f4f12163000-7f4f12164000 rw-p 00083000 08:03 4336494                    /lib64/libm-2.14.90.so
:7f4f12164000-7f4f1230e000 r-xp 00000000 08:03 4336480                    /lib64/libc-2.14.90.so
:7f4f1230e000-7f4f1250e000 ---p 001aa000 08:03 4336480                    /lib64/libc-2.14.90.so
:7f4f1250e000-7f4f12512000 r--p 001aa000 08:03 4336480                    /lib64/libc-2.14.90.so
:7f4f12512000-7f4f12514000 rw-p 001ae000 08:03 4336480                    /lib64/libc-2.14.90.so
:7f4f12514000-7f4f12519000 rw-p 00000000 00:00 0 
:7f4f12519000-7f4f1251b000 r-xp 00000000 08:03 4336486                    /lib64/libdl-2.14.90.so
:7f4f1251b000-7f4f1271b000 ---p 00002000 08:03 4336486                    /lib64/libdl-2.14.90.so
:7f4f1271b000-7f4f1271c000 r--p 00002000 08:03 4336486                    /lib64/libdl-2.14.90.so
:7f4f1271c000-7f4f1271d000 rw-p 00003000 08:03 4336486                    /lib64/libdl-2.14.90.so
:7f4f1271d000-7f4f12734000 r-xp 00000000 08:03 4336481                    /lib64/libpthread-2.14.90.so
:7f4f12734000-7f4f12933000 ---p 00017000 08:03 4336481                    /lib64/libpthread-2.14.90.so
:7f4f12933000-7f4f12934000 r--p 00016000 08:03 4336481                    /lib64/libpthread-2.14.90.so
:7f4f12934000-7f4f12935000 rw-p 00017000 08:03 4336481                    /lib64/libpthread-2.14.90.so
:7f4f12935000-7f4f12939000 rw-p 00000000 00:00 0 
:7f4f12939000-7f4f12971000 r-xp 00000000 08:03 4336504                    /lib64/libnspr4.so
:7f4f12971000-7f4f12b70000 ---p 00038000 08:03 4336504                    /lib64/libnspr4.so
:7f4f12b70000-7f4f12b73000 rw-p 00037000 08:03 4336504                    /lib64/libnspr4.so
:7f4f12b73000-7f4f12b75000 rw-p 00000000 00:00 0 
:7f4f12b75000-7f4f12b79000 r-xp 00000000 08:03 4336505                    /lib64/libplc4.so
:7f4f12b79000-7f4f12d78000 ---p 00004000 08:03 4336505                    /lib64/libplc4.so
:7f4f12d78000-7f4f12d79000 rw-p 00003000 08:03 4336505                    /lib64/libplc4.so
:7f4f12d79000-7f4f12d7c000 r-xp 00000000 08:03 4336506                    /lib64/libplds4.so
:7f4f12d7c000-7f4f12f7b000 ---p 00003000 08:03 4336506                    /lib64/libplds4.so
:7f4f12f7b000-7f4f12f7c000 rw-p 00002000 08:03 4336506                    /lib64/libplds4.so
:7f4f12f7c000-7f4f12f96000 r-xp 00000000 08:03 3808199                    /usr/lib64/libnssutil3.so
:7f4f12f96000-7f4f13195000 ---p 0001a000 08:03 3808199                    /usr/lib64/libnssutil3.so
:7f4f13195000-7f4f1319a000 rw-p 00019000 08:03 3808199                    /usr/lib64/libnssutil3.so
:7f4f1319a000-7f4f1319b000 rw-p 00000000 00:00 0 
:7f4f1319b000-7f4f132cb000 r-xp 00000000 08:03 3814412                    /usr/lib64/libnss3.so
:7f4f132cb000-7f4f134cb000 ---p 00130000 08:03 3814412                    /usr/lib64/libnss3.so
:7f4f134cb000-7f4f134d2000 rw-p 00130000 08:03 3814412                    /usr/lib64/libnss3.so
:7f4f134d2000-7f4f134d3000 rw-p 00000000 00:00 0 
:7f4f134d3000-7f4f134fc000 r-xp 00000000 08:03 3814414                    /usr/lib64/libsmime3.so
:7f4f134fc000-7f4f136fc000 ---p 00029000 08:03 3814414                    /usr/lib64/libsmime3.so
:7f4f136fc000-7f4f13700000 rw-p 00029000 08:03 3814414                    /usr/lib64/libsmime3.so
:7f4f13700000-7f4f13733000 r-xp 00000000 08:03 3814413                    /usr/lib64/libssl3.so
:7f4f13733000-7f4f13932000 ---p 00033000 08:03 3814413                    /usr/lib64/libssl3.so
:7f4f13932000-7f4f13935000 rw-p 00032000 08:03 3814413                    /usr/lib64/libssl3.so
:7f4f13935000-7f4f13945000 r-xp 00000000 08:03 3814532                    /usr/lib64/libtdb.so.1.2.9
:7f4f13945000-7f4f13b44000 ---p 00010000 08:03 3814532                    /usr/lib64/libtdb.so.1.2.9
:7f4f13b44000-7f4f13b45000 rw-p 0000f000 08:03 3814532                    /usr/lib64/libtdb.so.1.2.9
:7f4f13b45000-7f4f13b8f000 r-xp 00000000 08:03 3831099                    /usr/lib64/libldap-2.4.so.2.7.1
:7f4f13b8f000-7f4f13d8f000 ---p 0004a000 08:03 3831099                    /usr/lib64/libldap-2.4.so.2.7.1
:7f4f13d8f000-7f4f13d90000 r--p 0004a000 08:03 3831099                    /usr/lib64/libldap-2.4.so.2.7.1
:7f4f13d90000-7f4f13d92000 rw-p 0004b000 08:03 3831099                    /usr/lib64/libldap-2.4.so.2.7.1
:7f4f13d92000-7f4f13da0000 r-xp 00000000 08:03 3819679                    /usr/lib64/liblber-2.4.so.2.7.1
:7f4f13da0000-7f4f13f9f000 ---p 0000e000 08:03 3819679                    /usr/lib64/liblber-2.4.so.2.7.1
:7f4f13f9f000-7f4f13fa0000 r--p 0000d000 08:03 3819679                    /usr/lib64/liblber-2.4.so.2.7.1
:7f4f13fa0000-7f4f13fa1000 rw-p 0000e000 08:03 3819679                    /usr/lib64/liblber-2.4.so.2.7.1
:7f4f13fa1000-7f4f13fa4000 r-xp 00000000 08:03 3806895                    /usr/lib64/libdhash.so.1.0.1
:7f4f13fa4000-7f4f141a3000 ---p 00003000 08:03 3806895                    /usr/lib64/libdhash.so.1.0.1
:7f4f141a3000-7f4f141a4000 r--p 00002000 08:03 3806895                    /usr/lib64/libdhash.so.1.0.1
:7f4f141a4000-7f4f141a5000 rw-p 00003000 08:03 3806895                    /usr/lib64/libdhash.so.1.0.1
:7f4f141a5000-7f4f141b0000 r-xp 00000000 08:03 3803943                    /usr/lib64/libcollection.so.2.0.0
:7f4f141b0000-7f4f143af000 ---p 0000b000 08:03 3803943                    /usr/lib64/libcollection.so.2.0.0
:7f4f143af000-7f4f143b0000 r--p 0000a000 08:03 3803943                    /usr/lib64/libcollection.so.2.0.0
:7f4f143b0000-7f4f143b1000 rw-p 0000b000 08:03 3803943                    /usr/lib64/libcollection.so.2.0.0
:7f4f143b1000-7f4f143b9000 r-xp 00000000 08:03 3806885                    /usr/lib64/libini_config.so.2.0.0
:7f4f143b9000-7f4f145b8000 ---p 00008000 08:03 3806885                    /usr/lib64/libini_config.so.2.0.0
:7f4f145b8000-7f4f145b9000 r--p 00007000 08:03 3806885                    /usr/lib64/libini_config.so.2.0.0
:7f4f145b9000-7f4f145ba000 rw-p 00008000 08:03 3806885                    /usr/lib64/libini_config.so.2.0.0
:7f4f145ba000-7f4f145f6000 r-xp 00000000 08:03 4336534                    /lib64/libpcre.so.0.0.1
:7f4f145f6000-7f4f147f5000 ---p 0003c000 08:03 4336534                    /lib64/libpcre.so.0.0.1
:7f4f147f5000-7f4f147f6000 rw-p 0003b000 08:03 4336534                    /lib64/libpcre.so.0.0.1
:7f4f147f6000-7f4f147fd000 r-xp 00000000 08:03 4336482                    /lib64/librt-2.14.90.so
:7f4f147fd000-7f4f149fc000 ---p 00007000 08:03 4336482                    /lib64/librt-2.14.90.so
:7f4f149fc000-7f4f149fd000 r--p 00006000 08:03 4336482                    /lib64/librt-2.14.90.so
:7f4f149fd000-7f4f149fe000 rw-p 00007000 08:03 4336482                    /lib64/librt-2.14.90.so
:7f4f149fe000-7f4f14a41000 r-xp 00000000 08:03 4336502                    /lib64/libdbus-1.so.3.5.6
:7f4f14a41000-7f4f14c40000 ---p 00043000 08:03 4336502                    /lib64/libdbus-1.so.3.5.6
:7f4f14c40000-7f4f14c41000 r--p 00042000 08:03 4336502                    /lib64/libdbus-1.so.3.5.6
:7f4f14c41000-7f4f14c42000 rw-p 00043000 08:03 4336502                    /lib64/libdbus-1.so.3.5.6
:7f4f14c42000-7f4f14c6c000 r-xp 00000000 08:03 3804178                    /usr/lib64/libldb.so.1.1.0
:7f4f14c6c000-7f4f14e6c000 ---p 0002a000 08:03 3804178                    /usr/lib64/libldb.so.1.1.0
:7f4f14e6c000-7f4f14e6d000 r--p 0002a000 08:03 3804178                    /usr/lib64/libldb.so.1.1.0
:7f4f14e6d000-7f4f14e6e000 rw-p 0002b000 08:03 3804178                    /usr/lib64/libldb.so.1.1.0
:7f4f14e6e000-7f4f14e77000 r-xp 00000000 08:03 4336527                    /lib64/libpopt.so.0.0.0
:7f4f14e77000-7f4f15076000 ---p 00009000 08:03 4336527                    /lib64/libpopt.so.0.0.0
:7f4f15076000-7f4f15077000 rw-p 00008000 08:03 4336527                    /lib64/libpopt.so.0.0.0
:7f4f15077000-7f4f15082000 r-xp 00000000 08:03 3806689                    /usr/lib64/libtalloc.so.2.0.6
:7f4f15082000-7f4f15281000 ---p 0000b000 08:03 3806689                    /usr/lib64/libtalloc.so.2.0.6
:7f4f15281000-7f4f15282000 r--p 0000a000 08:03 3806689                    /usr/lib64/libtalloc.so.2.0.6
:7f4f15282000-7f4f15283000 rw-p 0000b000 08:03 3806689                    /usr/lib64/libtalloc.so.2.0.6
:7f4f15283000-7f4f1528e000 r-xp 00000000 08:03 3803795                    /usr/lib64/libtevent.so.0.9.13
:7f4f1528e000-7f4f1548d000 ---p 0000b000 08:03 3803795                    /usr/lib64/libtevent.so.0.9.13
:7f4f1548d000-7f4f1548e000 r--p 0000a000 08:03 3803795                    /usr/lib64/libtevent.so.0.9.13
:7f4f1548e000-7f4f1548f000 rw-p 0000b000 08:03 3803795                    /usr/lib64/libtevent.so.0.9.13
:7f4f1548f000-7f4f154db000 r-xp 00000000 08:03 4339601                    /lib64/libnl.so.1.1
:7f4f154db000-7f4f156db000 ---p 0004c000 08:03 4339601                    /lib64/libnl.so.1.1
:7f4f156db000-7f4f156e0000 rw-p 0004c000 08:03 4339601                    /lib64/libnl.so.1.1
:7f4f156e0000-7f4f15702000 r-xp 00000000 08:03 4336479                    /lib64/ld-2.14.90.so
:7f4f158cd000-7f4f158de000 rw-p 00000000 00:00 0 
:7f4f158e1000-7f4f158ff000 rw-s 00000000 08:03 3671629                    /var/lib/sss/db/config.ldb
:7f4f158ff000-7f4f15900000 rw-p 00000000 00:00 0 
:7f4f15900000-7f4f15901000 rw-p 00000000 00:00 0 
:7f4f15901000-7f4f15902000 r--p 00021000 08:03 4336479                    /lib64/ld-2.14.90.so
:7f4f15902000-7f4f15903000 rw-p 00022000 08:03 4336479                    /lib64/ld-2.14.90.so
:7f4f15903000-7f4f15904000 rw-p 00000000 00:00 0 
:7f4f15904000-7f4f15931000 r-xp 00000000 08:03 3814009                    /usr/sbin/sssd
:7f4f15b31000-7f4f15b32000 r--p 0002d000 08:03 3814009                    /usr/sbin/sssd
:7f4f15b32000-7f4f15b33000 rw-p 0002e000 08:03 3814009                    /usr/sbin/sssd
:7f4f161aa000-7f4f161cb000 rw-p 00000000 00:00 0                          [heap]
:7fff7b109000-7fff7b12a000 rw-p 00000000 00:00 0                          [stack]
:7fff7b151000-7fff7b152000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

smolt_data:
:
:
:General
:=================================
:UUID: acedd693-09e5-4eaa-88e0-c59476513901
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.UTF-8
:Platform: x86_64
:BogoMIPS: 3617.44
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) Dual  CPU  E2160  @ 1.80GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1800
:System Memory: 1996
:System Swap: 4095
:Vendor: Gigabyte Technology Co., Ltd.
:System: 946GMX-S2 
:Form factor: Desktop
:Kernel: 3.1.1-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33127:5208:57344) pci, r8169, ETHERNET, GA-MA69G-S3H Motherboard
:(32902:10610:5208:53248) pci, i915, VIDEO, 82946GZ/GL Integrated Graphics Controller
:(32902:10176:5208:45058) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10168:5208:20481) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10200:5208:40962) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10202:5208:20481) pci, i801_smbus, SERIAL, GA-8I945PG-RH Mainboard
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(4332:33081:4332:33081) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(32902:10185:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10608:5208:20480) pci, agpgart-intel, HOST/PCI, 82946GZ/PL/GL Memory Controller Hub
:(32902:10186:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:5208:20486) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 18147916 15192323 14270455 4612096 4253055 4253055
:/dev/sda1 /boot ext4 1024 1024 198337 145081 134841 51200 50977 50977
:

var_log_messages:
:Nov 14 10:32:53 argon sssd[be[default]]: Shutting down
:Nov 14 10:32:53 argon sssd[nss]: Shutting down
:Nov 14 12:27:51 argon sssd[be[default]]: Shutting down
:Nov 14 12:27:51 argon sssd[pam]: Shutting down
:Nov 14 12:27:51 argon sssd[nss]: Shutting down
:Nov 14 12:27:52 argon sssd: Starting up
:Nov 14 12:27:52 argon sssd[be[default]]: Starting up
:Nov 14 12:27:52 argon sssd[pam]: Starting up
:Nov 14 12:27:52 argon sssd[nss]: Starting up
:Nov 15 12:32:41 argon sssd[be[default]]: Starting up
:Nov 15 12:32:41 argon sssd[be[default]]: Starting up
:Nov 15 12:32:57 argon sssd[be[default]]: Starting up
:Nov 15 12:33:23 argon sssd[be[default]]: Starting up
:Nov 15 12:33:33 argon sssd[nss]: Starting up
:Nov 15 12:34:00 argon sssd[be[default]]: Starting up
:Nov 15 12:34:03 argon sssd[nss]: Starting up
:Nov 15 12:34:32 argon sssd[be[default]]: Starting up
:Nov 15 12:34:39 argon sssd[nss]: Starting up
:Nov 15 12:35:12 argon kernel: [93687.992785] sssd[4173]: segfault at 60 ip 00007f4f1590ca88 sp 00007fff7b127dc0 error 6 in sssd[7f4f15904000+2d000]
:Nov 15 12:37:11 argon abrt[17651]: saved core dump of pid 4173 (/usr/sbin/sssd) to /var/spool/abrt/ccpp-2011-11-15-12:35:29-4173 (1011712 bytes)
:Nov 15 12:37:13 argon systemd[1]: PID 4173 read from file /var/run/sssd.pid does not exist. Your service or init script might be broken.
:Nov 15 12:37:14 argon systemd[1]: sssd.service: main process exited, code=dumped, status=11
:Nov 15 12:37:20 argon sssd[pam]: Shutting down
:Nov 15 12:38:11 argon sssd[be[default]]: Shutting down
:Nov 15 12:38:11 argon sssd[nss]: Shutting down
:Nov 15 12:38:13 argon sssd[nss]: Shutting down
:Nov 15 12:38:14 argon sssd[nss]: Shutting down
:Nov 15 12:38:16 argon sssd[nss]: Shutting down
:Nov 15 12:38:17 argon systemd[1]: Unit sssd.service entered failed state.

--- Additional comment from tswsl1989@sucs.org on 2011-11-15 07:50:26 EST ---

Created attachment 533759 [details]
File: backtrace

--- Additional comment from jhrozek@redhat.com on 2011-11-15 09:09:51 EST ---

Upstream ticket:
https://fedorahosted.org/sssd/ticket/1090

--- Additional comment from jhrozek@redhat.com on 2011-11-15 09:18:08 EST ---

Apart from us safeguarding against the segfault, can you check or attach SSSD logs if there are any error messages? sssd_be seems to be starting way too often, maybe there's some kind of startup error.

--- Additional comment from tswsl1989@sucs.org on 2011-11-15 10:13:30 EST ---

Created attachment 533775 [details]
Tarball of /var/log/sssd on one of the affected machines

--- Additional comment from jhrozek@redhat.com on 2011-11-15 11:03:03 EST ---

(In reply to comment #4)
> Created attachment 533775 [details]
> Tarball of /var/log/sssd on one of the affected machines

From the logs it seems that back end has trouble connecting to the monitor socket. Is SELinux Enforcing or Permissive on your machines? If it's Enforcing can you check for AVC denials?

Unfortunately the logs are not verbose enough to allow more analysis. Can you put debug_level = 7 into the [sssd] and [domain/default] of your sssd.conf, restart SSSD and attach the logs once the issue hits again?

--- Additional comment from tswsl1989@sucs.org on 2011-11-17 07:45:34 EST ---

SELinux is in enforcing mode, but the only denial I can see is related to system-config-firewall - which seems unlikely to be related to this problem.

The issue hasn't recurred yet, will post logs if/when it does
Comment 1 Jenny Galipeau 2011-12-13 09:40:33 EST
will need steps to reproduce/verify this issue
Comment 4 Stephen Gallagher 2012-02-09 07:48:43 EST
(In reply to comment #1)
> will need steps to reproduce/verify this issue

Please verify SanityOnly. We do not have a way to reproduce this issue.
Comment 5 Jakub Hrozek 2012-04-03 13:52:35 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When an SSSD service exited while a check for its presence was still in progress, the SSSD might have accessed invalid memory

Consequence: The SSSD crashed

Fix: The SSSD was fixed so that it cancels any pending checks when a service exits

Result: The SSSD no longer crashes and checks are cancelled gracefully when a service exits.
Comment 6 Amith 2012-05-29 11:44:44 EDT
Verified on sssd-1.8.0-31.el6.
This bug has been verified sanity only and no related regressions detected.
Comment 8 errata-xmlrpc 2012-06-20 07:49:15 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0747.html

Note You need to log in before you can comment on or make changes to this bug.